RNAstructure_java_drawing.source.proxy

## Class StructureBackendProxyJNI

- java.lang.Object
- - RNAstructure_java_drawing.source.proxy.StructureBackendProxyJNI

     class StructureBackendProxyJNI
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StructureBackendProxyJNI()`

### Method Summary

Methods
`static void` `delete_StructureBackend(long jarg1)`
`static long` `new_StructureBackend()`
`static boolean` `StructureBackend_addAnnotationProbability(long jarg1, StructureBackend jarg1_, String jarg2)`
`static boolean` `StructureBackend_addAnnotationSHAPE(long jarg1, StructureBackend jarg1_, String jarg2)`
`static void` `StructureBackend_flip(long jarg1, StructureBackend jarg1_)`
`static String` `StructureBackend_getStructureData(long jarg1, StructureBackend jarg1_, int jarg2)`
`static boolean` `StructureBackend_readStructureData(long jarg1, StructureBackend jarg1_, String jarg2)`
`static void` `StructureBackend_removeAnnotation(long jarg1, StructureBackend jarg1_)`
`static void` `StructureBackend_setNucleotidesCircled(long jarg1, StructureBackend jarg1_, boolean jarg2)`
`static String` `StructureBackend_writeDotBracketFile(long jarg1, StructureBackend jarg1_, String jarg2, String jarg3)`
`static String` `StructureBackend_writeHelixFile(long jarg1, StructureBackend jarg1_, String jarg2, String jarg3, int jarg4)`
`static void` `StructureBackend_writePostscriptFile(long jarg1, StructureBackend jarg1_, String jarg2, int jarg3)`
`static void` `StructureBackend_writeSVGFile(long jarg1, StructureBackend jarg1_, String jarg2, int jarg3)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StructureBackendProxyJNI

    StructureBackendProxyJNI()

### Method Detail

#### delete_StructureBackend

    public static final void delete_StructureBackend(long jarg1)

#### new_StructureBackend

    public static final long new_StructureBackend()

#### StructureBackend_addAnnotationProbability

    public static final boolean StructureBackend_addAnnotationProbability(long jarg1,
                                                    StructureBackend jarg1_,
                                                    String jarg2)

#### StructureBackend_addAnnotationSHAPE

    public static final boolean StructureBackend_addAnnotationSHAPE(long jarg1,
                                              StructureBackend jarg1_,
                                              String jarg2)

#### StructureBackend_flip

    public static final void StructureBackend_flip(long jarg1,
                             StructureBackend jarg1_)

#### StructureBackend_getStructureData

    public static final String StructureBackend_getStructureData(long jarg1,
                                           StructureBackend jarg1_,
                                           int jarg2)

#### StructureBackend_readStructureData

    public static final boolean StructureBackend_readStructureData(long jarg1,
                                             StructureBackend jarg1_,
                                             String jarg2)

#### StructureBackend_removeAnnotation

    public static final void StructureBackend_removeAnnotation(long jarg1,
                                         StructureBackend jarg1_)

#### StructureBackend_setNucleotidesCircled

    public static final void StructureBackend_setNucleotidesCircled(long jarg1,
                                              StructureBackend jarg1_,
                                              boolean jarg2)

#### StructureBackend_writeDotBracketFile

    public static final String StructureBackend_writeDotBracketFile(long jarg1,
                                              StructureBackend jarg1_,
                                              String jarg2,
                                              String jarg3)

#### StructureBackend_writeHelixFile

    public static final String StructureBackend_writeHelixFile(long jarg1,
                                         StructureBackend jarg1_,
                                         String jarg2,
                                         String jarg3,
                                         int jarg4)

#### StructureBackend_writePostscriptFile

    public static final void StructureBackend_writePostscriptFile(long jarg1,
                                            StructureBackend jarg1_,
                                            String jarg2,
                                            int jarg3)

#### StructureBackend_writeSVGFile

    public static final void StructureBackend_writeSVGFile(long jarg1,
                                     StructureBackend jarg1_,
                                     String jarg2,
                                     int jarg3)